# Utilities

```@meta
CurrentModule = Lux
```

## Index

```@index
Pages = ["utilities.md"]
```

## Device Management / Data Transfer

```@docs
Lux.cpu
Lux.gpu
```

:::warning

For detailed API documentation on Data Transfer check out the
[LuxDeviceUtils.jl](../LuxDeviceUtils/)

:::

## Weight Initialization

:::warning

For API documentation on Initialization check out the
[WeightInitializers.jl](../WeightInitializers/)

:::

## Miscellaneous Utilities

```@docs
Lux.foldl_init
Lux.istraining
Lux.multigate
Lux.replicate
```

## Truncated Stacktraces

```@docs
Lux.disable_stacktrace_truncation!
```
